## postgresql-bouncernotice 13.11-1~eob120+2

=== Makefile ===
VERSION=`git describe | sed 's/^v//; s/-/./g' `
NAME=postgresql-bouncernotice
MODULES      = $(patsubst %.c,%,$(wildcard src/*.c))
PG_CONFIG    ?= pg_config

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)


version:
	@(echo $(VERSION))

name:
	@(echo $(NAME))

fullname:
	@(echo $(NAME)-$(VERSION))


DIST_FILES = \
	Makefile \
	src \
	README.md COPYING

dist: clean
	-mkdir sdist
	rm -rf sdist/$(NAME)-$(VERSION)
	mkdir -p sdist/$(NAME)-$(VERSION)
	for i in $(DIST_FILES); do \
		cp -R "$$i" sdist/$(NAME)-$(VERSION); \
	done

dist-bzip2: dist
	-mkdir sdist
	cd sdist && tar cfj ../sdist/$(NAME)-$(VERSION).tar.bz2 $(NAME)-$(VERSION)

=== debian/changelog ===
postgresql-bouncernotice (13.11-1~eob120+2) bookworm-eobuilder; urgency=medium

  * Eobuilder version

 -- Pierre Ducroquet <eobuilder@entrouvert.org>  Thu, 21 Sep 2023 12:32:21 +0200

postgresql-bouncernotice (13.11-1~eob110+1) bullseye-eobuilder; urgency=medium

  * First version
  * Eobuilder version

 -- Pierre Ducroquet <eobuilder@entrouvert.org>  Thu, 21 Sep 2023 12:31:38 +0200

=== debian/control ===
Source: postgresql-bouncernotice
Section: database
Priority: optional
Maintainer: Pierre Ducroquet <pducroquet@entrouvert.com>
Uploaders:
 Pierre Ducroquet <pducroquet@entrouvert.com>,
Build-Depends:
 debhelper (>= 9),
 postgresql-server-dev-all,
Standards-Version: 4.1.0

Package: postgresql-15-bouncernotice
Architecture: any
Depends:
 postgresql-15,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Postgres 15 bouncer notice
 postgresql-bouncernotice is a PostgreSQL extension allowing notification of
 pgbouncer when specific settings are changed.
 .
 This package is for PostgreSQL 15.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Using pg_buildext
include /usr/share/postgresql-common/pgxs_debian_control.mk

# export USE_PGXS=1
export PG_UPDATECONTROL=yes

clean: debian/control

.PHONY: debian/control

override_dh_auto_build:
	#+pg_buildext build build-%v
	# nothing ?

override_dh_install:
	# build all supported versions
	+pg_buildext loop postgresql-%v-bouncernotice

override_dh_auto_install:
	# nothing ?

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_auto_clean:
	+pg_buildext clean build-%v

%:
	dh $@
